#pragma once

class ConsoleCommand
{
public:
	virtual const char* GetName() = 0;
	virtual const char* GetAlias();
	virtual const char* GetHelp() = 0;
	virtual void Activate(const char* CommandLine) = 0;
	virtual ~ConsoleCommand();
	
	ConsoleCommand();
};


class ConsoleCommandTest : public ConsoleCommand
{
public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};